﻿using System;
using System.ComponentModel;

namespace XamDataChart.Models
{

    public class Borrow : INotifyPropertyChanged, ICloneable
        {

            private DateTime _date;
            public DateTime Date
            {
                get { return this._date; }

                set
                {
                    this._date = value;
                    this.NotifyPropertyChanged("Date");
                    this.NotifyPropertyChanged("BorrowRate");
                }

            }

            private decimal _borrowRate;
            public decimal BorrowRate
            {
                get { return this._borrowRate; }
                set
                {
                    this._borrowRate = value;
                    this.NotifyPropertyChanged("Date");
                    this.NotifyPropertyChanged("BorrowRate");
                }
            }

            public object Clone()
            {

                return this.MemberwiseClone();
            }


            #region INotifyPropertyChanged Members

            public event PropertyChangedEventHandler PropertyChanged;

            private void NotifyPropertyChanged(string propertyName)
            {
                if (this.PropertyChanged != null)
                {
                    this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
                }
            }


            #endregion

        }
     
    
}
